LexerFrame (Groovy 5.0.0)

Package: org.apache.groovy.antlr

## [Java] Class LexerFrame

- org.apache.groovy.antlr.LexerFrame

- All Implemented Interfaces and Traits:
    ActionListener

      public class LexerFrame
      extends JFrame
      implements ActionListener

  Swing application to graphically display the tokens produced by the lexer.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class JFrame` | `DO_NOTHING_ON_CLOSE, HIDE_ON_CLOSE, DISPOSE_ON_CLOSE, EXIT_ON_CLOSE, DEFAULT_CURSOR, CROSSHAIR_CURSOR, TEXT_CURSOR, WAIT_CURSOR, SW_RESIZE_CURSOR, SE_RESIZE_CURSOR, NW_RESIZE_CURSOR, NE_RESIZE_CURSOR, N_RESIZE_CURSOR, S_RESIZE_CURSOR, W_RESIZE_CURSOR, E_RESIZE_CURSOR, HAND_CURSOR, MOVE_CURSOR, NORMAL, ICONIFIED, MAXIMIZED_HORIZ, MAXIMIZED_VERT, MAXIMIZED_BOTH, TOP_ALIGNMENT, CENTER_ALIGNMENT, BOTTOM_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, WIDTH, HEIGHT, PROPERTIES, SOMEBITS, FRAMEBITS, ALLBITS, ERROR, ABORT`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `LexerFrame()` Constructor used when invoking as a standalone application
    `LexerFrame(Reader reader)` Constructor used when invoking for a specific file

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `actionPerformed(ActionEvent ae)`
    `` | `public void` | `actionPerformed(ActionEvent ae)`
    `` | `public static void` | `main(String[] args)`
    `` | `public void` | `mouseReleased(MouseEvent e)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class JFrame` | `action, add, add, add, add, add, add, addComponentListener, addContainerListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyComponentOrientation, applyResourceBundle, applyResourceBundle, areFocusTraversalKeysSet, bounds, checkImage, checkImage, contains, contains, countComponents, createBufferStrategy, createBufferStrategy, createImage, createImage, createVolatileImage, createVolatileImage, deliverEvent, disable, dispatchEvent, dispose, doLayout, enable, enable, enableInputMethods, equals, findComponentAt, findComponentAt, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getAccessibleContext, getAlignmentX, getAlignmentY, getBackground, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getBufferStrategy, getClass, getColorModel, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponentListeners, getComponentOrientation, getComponentZOrder, getComponents, getContainerListeners, getContentPane, getCursor, getCursorType, getDefaultCloseOperation, getDropTarget, getExtendedState, getFocusCycleRootAncestor, getFocusListeners, getFocusOwner, getFocusTraversalKeys, getFocusTraversalKeysEnabled, getFocusTraversalPolicy, getFocusableWindowState, getFont, getFontMetrics, getForeground, getFrames, getGlassPane, getGraphics, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIconImage, getIconImages, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getInsets, getJMenuBar, getKeyListeners, getLayeredPane, getLayout, getListeners, getLocale, getLocation, getLocation, getLocationOnScreen, getMaximizedBounds, getMaximumSize, getMenuBar, getMinimumSize, getModalExclusionType, getMostRecentFocusOwner, getMouseListeners, getMouseMotionListeners, getMousePosition, getMousePosition, getMouseWheelListeners, getName, getOpacity, getOwnedWindows, getOwner, getOwnerlessWindows, getParent, getPreferredSize, getPropertyChangeListeners, getPropertyChangeListeners, getRootPane, getShape, getSize, getSize, getState, getTitle, getToolkit, getTransferHandler, getTreeLock, getType, getWarningString, getWidth, getWindowFocusListeners, getWindowListeners, getWindowStateListeners, getWindows, getX, getY, gotFocus, handleEvent, hasFocus, hashCode, hide, imageUpdate, insets, inside, invalidate, isActive, isAlwaysOnTop, isAlwaysOnTopSupported, isAncestorOf, isAutoRequestFocus, isBackgroundSet, isCursorSet, isDefaultLookAndFeelDecorated, isDisplayable, isDoubleBuffered, isEnabled, isFocusCycleRoot, isFocusCycleRoot, isFocusOwner, isFocusTraversable, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, isFocusable, isFocusableWindow, isFocused, isFontSet, isForegroundSet, isLightweight, isLocationByPlatform, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isPreferredSizeSet, isResizable, isShowing, isUndecorated, isValid, isValidateRoot, isVisible, keyDown, keyUp, layout, list, list, list, list, list, locate, location, lostFocus, minimumSize, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, notify, notifyAll, pack, paint, paintAll, paintComponents, postEvent, preferredSize, prepareImage, prepareImage, print, printAll, printComponents, remove, remove, remove, removeAll, removeComponentListener, removeContainerListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, repaint, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, reshape, resize, resize, revalidate, setAlwaysOnTop, setAutoRequestFocus, setBackground, setBounds, setBounds, setComponentOrientation, setComponentZOrder, setContentPane, setCursor, setCursor, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setDropTarget, setEnabled, setExtendedState, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalKeysEnabled, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFocusable, setFocusableWindowState, setFont, setForeground, setGlassPane, setIconImage, setIconImages, setIgnoreRepaint, setJMenuBar, setLayeredPane, setLayout, setLocale, setLocation, setLocation, setLocationByPlatform, setLocationRelativeTo, setMaximizedBounds, setMaximumSize, setMenuBar, setMinimumSize, setMixingCutoutShape, setModalExclusionType, setName, setOpacity, setPreferredSize, setResizable, setShape, setSize, setSize, setState, setTitle, setTransferHandler, setType, setUndecorated, setVisible, show, show, size, toBack, toFront, toString, transferFocus, transferFocusBackward, transferFocusDownCycle, transferFocusUpCycle, update, validate, wait, wait, wait`

- - ### Constructor Detail

    - #### public LexerFrame()

      Constructor used when invoking as a standalone application

    - #### public LexerFrame(Reader reader)

      Constructor used when invoking for a specific file

  - ### Method Detail

    - #### @Override
      public void actionPerformed(ActionEvent ae)

    - #### @Override
      public void actionPerformed(ActionEvent ae)

    - #### public static void main(String[] args)

    - #### @Override
      public void mouseReleased(MouseEvent e)